<template>
	<view class="">
		<!-- 禁用弹窗 -->
			 <restrictedTip ref="restrictedTip"/>
		<view class="content_wrapper">
			<h4 style="font-size: 28rpx;">劳务报酬税缴纳规则</h4>
			<view class="content">
				根据国家相关法律法规，提现将由银盾家办公司代缴个税后（按劳务报酬税率计算），付款到用户的微信钱包/支付宝账户/银行卡内。 根据规则，将实行按月累计扣税，若在当月发起多次提现，本次扣税基数将累计当月全部的提现金额。以下内容供参考，详细内容可在国家税务局查询。
			</view>
			<h4 style="text-align: center;font-size: 28rpx;">劳务报酬所得预扣率表</h4>
			<view style="color:#666;text-align: center;margin-bottom: 20rpx;font-size: 22rpx;">
				(居民个人劳务报酬所得预扣预缴适用)
			</view>
			<view style="margin-bottom: 20rpx;">
				<view class="list">
					<view class="list_item title">级数</view>
					<view class="list_item title">预扣预缴应纳税所得额</view>
					<view class="list_item title">预扣率(%)</view>
					<view class="list_item title">速算扣除数</view>
				</view>
				<view class="list">
					<view class="list_item">1</view>
					<view class="list_item">不超过20000元的</view>
					<view class="list_item">20</view>
					<view class="list_item">0</view>
				</view>
				<view class="list" style="background: #D0D3FF;">
					<view class="list_item">2</view>
					<view class="list_item">不超过20000元至50000元的</view>
					<view class="list_item">30</view>
					<view class="list_item">2000</view>
				</view>
				<view class="list">
					<view class="list_item">3</view>
					<view class="list_item">不超过50000元的</view>
					<view class="list_item">40</view>
					<view class="list_item">7000</view>
				</view>
				
			</view>
			<view style="color: #666666;font-size: 24rpx;">
				<view class="">
					应纳税所得额=劳务报酬所得 - 减除费用，即：
				</view>
				<view class="">
					当劳务报酬所得不超过4000元: 应纳税所得额=劳务报酬所得 - 800；
				</view>
				<view class="">
					当劳务报酬所得超过4000元: 应纳税所得额=劳务报酬所得 ×（1-20%）；
				</view>
				<view class="">
					预扣预缴税额=应纳税所得额×预扣率-速算扣除数。
				</view>
				 
			</view>
			<navigator class="btn" delta="1" open-type="navigateBack">知道了</navigator>
		</view>
	</view>
</template>

<script>
	import { initJssdkShare, setWechatShare } from '@/util/fiveshare';
	import api from "@/api/api";
	import restrictedTip from '@/components/commonPopup/restrictedTip.vue';
	export default{
		components:{
						restrictedTip,
					},
		data(){
			return {
				
			}
		},
		onShow(){
			if(uni.getStorageSync('loginType')=='codelogin'){
							this.queryInfo()
						}
			// #ifdef H5
						initJssdkShare(() => {
						  setWechatShare();
						}, window.location.href);
						// #endif
		},
		methods:{
			queryInfo() {
							api.queryInfo({userId:uni.getStorageSync('cffp_userId')}).then(res=>{
								// 保存用户得个人信息
								if (res['success']) {
									delete res.data.commonResult
									
									const cffp_userInfo = {
										...res.data
									}
									// 账号禁用用户
									if(res.data.userIsActive&&res.data.userIsActive==2){
										this.$refs.restrictedTip.open()
										uni.setStorageSync('userIsActive',String(res.data.userIsActive))
										return
									}
									if(res.data.userIsActive&&res.data.userIsActive!=2){
										this.$refs.restrictedTip.close()
										uni.removeStorageSync('userIsActive')
									}
									
									uni.setStorageSync('cffp_userInfo', JSON.stringify(cffp_userInfo));
									uni.setStorageSync('user_mobile', res.data.mobile)
									
								}
								
							})
						},
		}
	}
</script>

<style lang="scss" scoped>
	.content_wrapper{
		padding: 30rpx;
		h4{
			margin: 20rpx auto;
		}
		.btn{
			background-color: #2A36AD;
			font-size: 28rpx;
			margin-bottom: 20rpx;
		}
		.content{
			color: #666666;
			font-size: 24rpx;
			background: #fff;
		}
		.list:nth-of-type(even) .list_item{
			border-right:1px solid  #2A36AD;
		}
		.list:nth-of-type(odd) .list_item{
			border-right:1px solid #fff;
		}
		.list{
			display: flex;
			justify-content: space-between;
			align-items: center;
			font-size: 24rpx;
			border: 2rpx  #2A36AD solid;
			border-bottom: 0;
			.list_item{
				width: 20%;
				height: 70rpx;
				line-height: 70rpx;
				text-align: center;
			}
			.list_item:nth-child(1){
				width: 10%;
			}
			.list_item:nth-child(2){
				width: 50%;
			}
			.title{
				background:  #2A36AD;
				color: #fff;
			}
			.list_item:nth-child(4){
				border-right: 0;
			}
		}
		.list:last-child{
			border-bottom:2rpx  #2A36AD solid;
		}
		
	}
	
</style>